KRB5_TIMEOFDAY(3)

NAME
krb5_timeofday, krb5_us_timeofday - whatever these functions do

LIBRARY
Kerberos 5 Library (libkrb5, -lkrb5)

SYNOPSIS
#include <krb5/krb5.h>
krb5_error_code
krb5_timeofday(krb5_context context, krb5_timestamp *timeret);
krb5_error_code
krb5_us_timeofday(krb5_context context, int32_t *sec, int32_t *usec);

DESCRIPTION
krb5_timeofday() returns the current time, but adjusted with the time difference between the local host and the KDC. krb5_us_timeofday() also returns microseconds.

SEE ALSO
gettimeofday(2)